import DatePicker2 from '..';
import Radio from '../../radio';
import React from 'react';
import ReactDOM from 'react-dom';
const { useState } = React;
const RadioGroup = Radio.Group;
const dataSource = [
    {
        value: 'large',
        label: 'Large',
    }, {
        value: 'medium',
        label: 'Medium',
    }, {
        value: 'small',
        label: 'Small',
    },
];
const { RangePicker } = DatePicker2;
function Demo() {
    const [size, setSize] = useState('medium');
    const onChange = val => console.log(val);
    return (React.createElement("div", null,
        React.createElement(RadioGroup, { shape: "button", 
            // @ts-ignore
            type: "primary", defaultValue: size, dataSource: dataSource, 
            // @ts-ignore
            onChange: v => setSize(v) }),
        React.createElement("br", null),
        React.createElement("br", null),
        React.createElement(DatePicker2
        // @ts-ignore
        , { 
            // @ts-ignore
            size: size, onChange: onChange }),
        React.createElement("br", null),
        React.createElement("br", null),
        React.createElement(RangePicker
        // @ts-ignore
        , { 
            // @ts-ignore
            size: size, onChange: onChange }),
        React.createElement("br", null),
        React.createElement("br", null)));
}
ReactDOM.render(React.createElement(Demo, null), document.getElementById('date-picker2-demo-10'));
